<script setup>
import MapPin from "@/components/MapPin.vue";

const props = defineProps({
	info: {
		type: Object,
		default() {
			return {
				num: 99,
				name: "",
				img: {
					src: "",
					width: 100,
					height: 100
				},
				info: {}
			}
		}
	},
	vals: {
		type: Object,
		default() {
			return {
				diff: 0,
				hum: 48.71,
				num: 3,
				tmp: 26.56
			}
		}
	}
});
</script>

<template>
	<div class="home-detail">
		<div class="vals-wrapper">
			<div class="vals-name">{{info.name}}</div>
			<div class="vals-item">温度: {{vals.tmp}}℃</div>
			<div class="vals-item">湿度: {{vals.hum}}%RH</div>
			<div class="vals-item">压差: {{vals.diff}}Pa</div>
		</div>
		<div class="home-detail-img">
			<img :src="info.img.src" alt=""/>
		</div>
	</div>
</template>

<style lang="less" scoped>
.home-detail {
	position: relative;
	width: 600px;
	text-align: center;
	background-color: #ffffff;
	.vals-wrapper {
		position: absolute;
		top: 8px;
		left: 8px;
		text-align: left;
		padding: 8px;
		background-color: #303133;
		color: #FFFFFF;
		.vals-name {
			text-align: center;
		}
	}
}
.home-detail-img {
	display: inline-block;
	width: 500px;
	img {
		height: auto;
		width: 100%;
	}
}
</style>
